org.eclnt.workplace

## Class WorkplaceUserInfo

- java.lang.Object
- - org.eclnt.workplace.WorkplaceUserInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceUserInfo
      extends java.lang.Object
      implements java.io.Serializable

  User specific settings within the workplace configuration.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceUserInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundPage()` Name of page that is shown in the background of a workpage container.
    `java.lang.String` | `getDefaultPerspective()` Default perpsective that is opened by default.
    `java.lang.String` | `getFunctionTree()` Name of function tree definition that is available for the user.
    `java.lang.String` | `getInheritFromUser()` In order to simplify the creation of user info configurations, one configuration can inherit from another configuration.
    `java.util.List<java.lang.String>` | `getPerspectives()` Perspectives that are allowed to be used for the user.
    `void` | `setBackgroundPage(java.lang.String backgroundPage)`
    `void` | `setDefaultPerspective(java.lang.String defaulPerspective)`
    `void` | `setFunctionTree(java.lang.String functionTree)`
    `void` | `setInheritFromUser(java.lang.String inheritFromUser)`
    `void` | `setPerspectives(java.util.List<java.lang.String> perspectives)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceUserInfo

          public WorkplaceUserInfo()

  - ### Method Detail

    - #### getPerspectives

          public java.util.List<java.lang.String> getPerspectives()

      Perspectives that are allowed to be used for the user.

    - #### setPerspectives

          public void setPerspectives(java.util.List<java.lang.String> perspectives)

    - #### getDefaultPerspective

          public java.lang.String getDefaultPerspective()

      Default perpsective that is opened by default.

    - #### setDefaultPerspective

          public void setDefaultPerspective(java.lang.String defaulPerspective)

    - #### getFunctionTree

          public java.lang.String getFunctionTree()

      Name of function tree definition that is available for the user.

    - #### setFunctionTree

          public void setFunctionTree(java.lang.String functionTree)

    - #### getInheritFromUser

          public java.lang.String getInheritFromUser()

      In order to simplify the creation of user info configurations, one configuration can inherit from another configuration.

    - #### setInheritFromUser

          public void setInheritFromUser(java.lang.String inheritFromUser)

    - #### getBackgroundPage

          public java.lang.String getBackgroundPage()

      Name of page that is shown in the background of a workpage container. This page is shwon when the workpage container does not hold any page, i.e. if it is empty.

    - #### setBackgroundPage

          public void setBackgroundPage(java.lang.String backgroundPage)

Copyright © CaptainCasa Gmbh. All Rights Reserved.